## copyq 3.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)
project(copyq)

# C++11
if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 3.1)
    set(CMAKE_CXX_STANDARD 11)
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

if(CMAKE_BUILD_TYPE MATCHES Debug)
    set(COPYQ_DEBUG ON)
    add_definitions( -DCOPYQ_DEBUG  )
endif()

OPTION(PEDANTIC "Enable all compiler warnings" OFF)

# Options (cmake -LH)
OPTION(WITH_TESTS "Run test cases from command line" ${COPYQ_DEBUG})
OPTION(WITH_PLUGINS "Compile plugins" ON)
# Unix-specific options
if (UNIX AND NOT APPLE)
    set(PLUGIN_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_SHARED_MODULE_PREFIX}/copyq/plugins" CACHE PATH "Install path for plugins")
    set(ICON_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
    set(ICON_INSTALL_PREFIX_TEMPLATE "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
    set(THEME_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/themes" CACHE PATH "Install path for themes")
    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/applications" CACHE PATH "Install path for desktop file")
    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for AppData file")
    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/man/man1" CACHE PATH "Install path for manual pages")
    set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/translations" CACHE PATH "Install path for translations")
    set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
endif()

set(CMAKE_AUTOMOC ON)

find_package(Qt5Widgets 5.1.0 REQUIRED)
list(APPEND copyq_LIBRARIES Qt5::Widgets)

set(copyq_APP_ID      com.github.hluk.copyq)
set(copyq_ICON_PREFIX src/images/icon)
set(copyq_ICON_NORMAL src/images/icon.svg)
set(copyq_ICON_BUSY   src/images/icon-busy.svg)
set(copyq_ICON_MASK   src/images/icon-mask.svg)
set(copyq_ICON_BUSY_MASK src/images/icon-busy-mask.svg)
set(copyq_DESKTOP     shared/${copyq_APP_ID}.desktop)
set(copyq_APPDATA     shared/${copyq_APP_ID}.appdata.xml)
set(copyq_MANPAGE     debian/copyq.1)

# Be more strict while compiling debugging version
if(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-long-long")
    set(CMAKE_CXX_FLAGS_DEBUG
        "${CMAKE_CXX_FLAGS_DEBUG} -Wextra -Wall -pedantic -Wfloat-equal -Woverloaded-virtual -Wundef -Wno-inconsistent-missing-destructor-override")
endif()

if (PEDANTIC)
    if (CMAKE_COMPILER_IS_GNUCXX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra -Wall \
            -Wsuggest-override \
            -Wlogical-op \
            -Wnoexcept \
            -Wstrict-null-sentinel \
            ")
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weverything \
            -Winconsistent-missing-override \
            ")

        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
            -Wno-c++98-compat \
            -Wno-c++98-compat-pedantic \
            -Wno-shadow-field-in-constructor \
            -Wno-weak-vtables \
            -Wno-disabled-macro-expansion \
            -fcomment-block-commands=retval \
            ")

        # Disable errors from moc-generated files.
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
            -Wno-undefined-reinterpret-cast \
            -Wno-missing-prototypes \
            ")

        # Disable errors from qrc-generated files.
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
            -Wno-exit-time-destructors \
            -Wno-global-constructors \
            ")
    endif()

    set(CMAKE_CXX_FLAGS
        "${CMAKE_CXX_FLAGS} -pedantic -Werror \
        -Wcast-align \
        -Wcast-qual \
        -Wctor-dtor-privacy \
        -Wdisabled-optimization \
        -Wformat=2 \
        -Winit-self \
        -Wmissing-declarations \
        -Wmissing-include-dirs \
        -Wold-style-cast \
        -Woverloaded-virtual \
        -Wredundant-decls \
        -Wstrict-overflow=4 \
        -Wundef \
        ")

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
        -Wno-padded \
        -Wno-switch-enum \
        ")

    # Disable Q_OBJECT macro warnings.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
        -Wno-unused-member-function \
        ")
endif()

if(WITH_TESTS)
    message(STATUS "Building with tests.")

    add_definitions( -DHAS_TESTS )

    find_package(Qt5Test REQUIRED)
    list(APPEND copyq_LIBRARIES Qt5::Test)
endif()

# Get application version.
if (EXISTS "version.txt")
    file(STRINGS "version.txt" copyq_version)
endif()

if (NOT copyq_version)
    find_package(Git)
    if(GIT_FOUND)
        execute_process(COMMAND
            "${GIT_EXECUTABLE}" describe
            WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
            RESULT_VARIABLE copyq_git_describe_result
            OUTPUT_VARIABLE copyq_git_describe_output
            ERROR_QUIET
            OUTPUT_STRIP_TRAILING_WHITESPACE
            )
        if(copyq_git_describe_result EQUAL 0)
            set(copyq_version "${copyq_git_describe_output}")
        endif()
    endif()
endif()

if (copyq_version)
    message(STATUS "Building CopyQ version ${copyq_version}.")
    add_definitions( -DCOPYQ_VERSION="${copyq_version}" )
endif()

if (UNIX AND NOT APPLE)
    install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}.svg)
    install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
    install(FILES ${copyq_ICON_MASK}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-mask.svg)
    install(FILES ${copyq_ICON_BUSY_MASK} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy-mask.svg)
    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
    install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})

    configure_file(${copyq_DESKTOP}.in ${copyq_DESKTOP})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX})

    foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
        set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
        string(REPLACE "%SIZE%" "${copyq_ICON_SIZE}" copyq_ICON_TARGET_PREFIX "${ICON_INSTALL_PREFIX_TEMPLATE}")
        foreach (copyq_ICON_TYPE "" "-busy")
            install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "${ICON_NAME}${copyq_ICON_TYPE}.png")
        endforeach()
    endforeach()

    set(copyq_THEME_INSTALL_PREFIX ${THEME_INSTALL_PREFIX})
    file(GLOB copyq_THEMES shared/themes/*.ini)
    install(FILES ${copyq_THEMES} DESTINATION ${THEME_INSTALL_PREFIX})

    add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/${ICON_NAME}" )
    add_definitions( -DCOPYQ_THEME_PREFIX="${THEME_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${copyq_APP_ID}.desktop" )
    add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
endif()

add_definitions( -DQT_NO_CAST_TO_ASCII )

add_subdirectory(src)

if (WITH_PLUGINS)
    add_subdirectory(plugins)
endif()

=== debian/changelog ===
copyq (3.7.0-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Disable automatic dbgsym packages.
  * Make recommended packages hard dependencies.
  * Revert to debhelper 10 compat to ease backporting.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Nov 2018 14:34:05 -0800

copyq (3.6.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
    This should be reverted after the decommission of python2.
  
  [ Boyuan Yang ]
  * Also explicitly add python3 as build dependency.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Oct 2018 10:34:32 -0400

=== debian/control ===
Source: copyq
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 10),
Build-Depends-Arch:
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxfixes-dev,
 libxtst-dev,
 qtbase5-private-dev,
 qtscript5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Build-Depends-Indep:
 python3,
 python3-sphinx (>= 1.4.9),
 python3-sphinx-rtd-theme,
Standards-Version: 4.2.1
Homepage: https://hluk.github.io/CopyQ/
Vcs-Browser: https://salsa.debian.org/debian/copyq
Vcs-Git: https://salsa.debian.org/debian/copyq.git

Package: copyq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 copyq-plugins (= ${binary:Version}),
 libqt5svg5,
Suggests:
 copyq-doc,
Description: Advanced clipboard manager with editing and scripting features
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 Items can be:
  * edited with internal editor or with preferred text editor,
  * moved to other tabs,
  * drag'n'dropped to applications,
  * marked with tag or a note,
  * passed to or changed by custom commands,
  * or simply removed.
 .
 Features:
  * Support for Linux, Windows and OS X 10.9+
  * Store text, HTML, images or any other custom formats
  * Quickly browse and filter items in clipboard history
  * Sort, create, edit, remove, copy/paste, drag'n'drop items in tabs
  * Add notes or tags to items
  * System-wide shortcuts with customizable commands
  * Paste items with shortcut or from tray or main window
  * Fully customizable appearance
  * Advanced command-line interface and scripting
  * Ignore clipboard copied from some windows or containing some text
  * Support for simple Vim-like editor and shortcuts
  * Many more features

Package: copyq-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Section: doc
Multi-Arch: foreign
Description: Documentation and examples for CopyQ - HTML format
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This contains the documentation in HTML format.

Package: copyq-plugins
Architecture: any
Depends:
 copyq (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Plugins for CopyQ
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This package contains plugins that add various item types support and features
 to CopyQ, including:
  * Text with Highlighting
  * Images
  * Web Pages
  * Various Data
  * Notes
  * Encryption
  * FakeVim Editor
  * Synchronize Items to Disk
  * Item Tags
  * Pinned Items

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5


%:
	dh $@ --with sphinxdoc

%-arch:
	dh $@

%-indep:
	dh $@ --with sphinxdoc

clean:
	dh $@

override_dh_auto_clean-indep:
	rm -rf _build/

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DWITH_WEBKIT=1

override_dh_auto_configure-indep:

override_dh_auto_build-indep: _build/html/

_build/html/: docs/conf.py $(wildcard docs/*.rst docs/images/*)
	python3 -m sphinx docs/ $@

override_dh_auto_install-indep:

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## copyq 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,16 +18,18 @@
 # Options (cmake -LH)
 OPTION(WITH_TESTS "Run test cases from command line" ${COPYQ_DEBUG})
 OPTION(WITH_PLUGINS "Compile plugins" ON)
+
 # Unix-specific options
 if (UNIX AND NOT APPLE)
+    include(GNUInstallDirs)
     set(PLUGIN_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_SHARED_MODULE_PREFIX}/copyq/plugins" CACHE PATH "Install path for plugins")
-    set(ICON_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
-    set(ICON_INSTALL_PREFIX_TEMPLATE "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
-    set(THEME_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/themes" CACHE PATH "Install path for themes")
-    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/applications" CACHE PATH "Install path for desktop file")
-    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for AppData file")
-    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/man/man1" CACHE PATH "Install path for manual pages")
-    set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/translations" CACHE PATH "Install path for translations")
+    set(ICON_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
+    set(ICON_INSTALL_PREFIX_TEMPLATE "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
+    set(THEME_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/copyq/themes" CACHE PATH "Install path for themes")
+    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/applications" CACHE PATH "Install path for desktop file")
+    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/metainfo" CACHE PATH "Install path for AppData file")
+    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
+    set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/copyq/translations" CACHE PATH "Install path for translations")
     set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
 endif()

=== debian/changelog ===
copyq (3.7.1-1) unstable; urgency=medium

  * New upstream release 3.7.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Dec 2018 19:50:20 -0500

copyq (3.7.0-1) unstable; urgency=medium

  * New upstream release 3.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Nov 2018 16:21:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11~),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -19,7 +18,7 @@
  qttools5-dev-tools,
 Build-Depends-Indep:
  python3,
- python3-sphinx (>= 1.4.9),
+ python3-sphinx,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.2.1
 Homepage: https://hluk.github.io/CopyQ/
@@ -31,6 +30,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:

## copyq 3.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,15 +22,17 @@
 # Unix-specific options
 if (UNIX AND NOT APPLE)
     include(GNUInstallDirs)
+    set(DATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" CACHE PATH "Install path for data")
     set(PLUGIN_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_SHARED_MODULE_PREFIX}/copyq/plugins" CACHE PATH "Install path for plugins")
-    set(ICON_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
-    set(ICON_INSTALL_PREFIX_TEMPLATE "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
-    set(THEME_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/copyq/themes" CACHE PATH "Install path for themes")
-    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/applications" CACHE PATH "Install path for desktop file")
-    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/metainfo" CACHE PATH "Install path for AppData file")
-    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
-    set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_DATAROOTDIR}/copyq/translations" CACHE PATH "Install path for translations")
+    set(ICON_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
+    set(ICON_INSTALL_PREFIX_TEMPLATE "${DATA_INSTALL_PREFIX}/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
+    set(THEME_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/themes" CACHE PATH "Install path for themes")
+    set(DESKTOP_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/applications" CACHE PATH "Install path for desktop file")
+    set(APPDATA_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/metainfo" CACHE PATH "Install path for AppData file")
+    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
+    set(TRANSLATION_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/translations" CACHE PATH "Install path for translations")
     set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
+    set(COPYQ_AUTOSTART_COMMAND "" CACHE STRING "Autostart command")
 endif()
 
 set(CMAKE_AUTOMOC ON)
@@ -183,6 +185,11 @@
     add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${copyq_APP_ID}.desktop" )
     add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
+    add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
+
+    if (COPYQ_AUTOSTART_COMMAND)
+        add_definitions( -DCOPYQ_AUTOSTART_COMMAND="${COPYQ_AUTOSTART_COMMAND}" )
+    endif()
 endif()
 
 add_definitions( -DQT_NO_CAST_TO_ASCII )

=== debian/changelog ===
copyq (3.7.2-1) unstable; urgency=medium

  * New upstream release 3.7.2.
  * debian/control:
    + Build-depends on debhelper-copmat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jan 2019 20:34:40 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -20,7 +20,7 @@
  python3,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git

## copyq 3.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 set(copyq_ICON_PREFIX src/images/icon)
 set(copyq_ICON_NORMAL src/images/icon.svg)
 set(copyq_ICON_BUSY   src/images/icon-busy.svg)
-set(copyq_ICON_MASK   src/images/icon-mask.svg)
-set(copyq_ICON_BUSY_MASK src/images/icon-busy-mask.svg)
+set(copyq_ICON_MASK   src/images/icon_mask.svg)
+set(copyq_ICON_BUSY_MASK src/images/icon_mask-busy.svg)
 set(copyq_DESKTOP     shared/${copyq_APP_ID}.desktop)
 set(copyq_APPDATA     shared/${copyq_APP_ID}.appdata.xml)
 set(copyq_MANPAGE     debian/copyq.1)
@@ -159,8 +159,8 @@
 if (UNIX AND NOT APPLE)
     install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}.svg)
     install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
-    install(FILES ${copyq_ICON_MASK}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-mask.svg)
-    install(FILES ${copyq_ICON_BUSY_MASK} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy-mask.svg)
+    install(FILES ${copyq_ICON_MASK}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}_mask.svg)
+    install(FILES ${copyq_ICON_BUSY_MASK} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}_mask-busy.svg)
     install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
     install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})

=== plugins/CMakeLists.txt ===
macro (copyq_add_plugin)
    set(copyq_pkg ${ARGV0})

    file(GLOB copyq_plugin_SOURCES
        ${copyq_plugin_${copyq_pkg}_SOURCES}
        *.cpp
        ../../src/item/itemwidget.cpp
        )
    file(GLOB copyq_plugin_FORMS
        ${copyq_plugin_${copyq_pkg}_FORMS}
        *.ui
        )

    if (WITH_TESTS)
        file(GLOB copyq_plugin_SOURCES ${copyq_plugin_SOURCES} tests/*.cpp)
    endif (WITH_TESTS)

    include_directories(${CMAKE_CURRENT_BINARY_DIR} ../../src)

    include_directories(${Qt5Widgets_INCLUDES})
    add_definitions(${Qt5Widgets_DEFINITIONS})
    qt5_wrap_ui(copyq_plugin_FORMS_HEADERS ${copyq_plugin_FORMS})
    qt5_add_resources(copyq_plugin_RCC ${copyq_plugin_${copyq_pkg}_RESOURCES})

    add_library(${copyq_pkg} MODULE
        ${copyq_plugin_SOURCES}
        ${copyq_plugin_FORMS_HEADERS}
        ${copyq_plugin_RCC}
        )

    set_target_properties(${copyq_pkg} PROPERTIES
        COMPILE_DEFINITIONS "${copyq_plugin_${copyq_pkg}_DEFINITIONS}")

    target_link_libraries(${copyq_pkg} ${copyq_LIBRARIES} ${copyq_plugin_${copyq_pkg}_LIBRARIES})

    if (UNIX AND NOT APPLE)
        install(TARGETS ${copyq_pkg} DESTINATION ${PLUGIN_INSTALL_PREFIX})
    endif()
endmacro()

set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/plugins)

add_subdirectory("itemencrypted")
add_subdirectory("itemfakevim")
add_subdirectory("itemimage")
add_subdirectory("itemnotes")
add_subdirectory("itempinned")
add_subdirectory("itemtags")
add_subdirectory("itemtext")
add_subdirectory("itemsync")
add_subdirectory("itemweb")

=== src/CMakeLists.txt ===
# Project files
file(GLOB copyq_SOURCES
    main.cpp
    app/*.cpp
    common/*.cpp
    gui/*.cpp
    item/*.cpp
    scriptable/*.cpp
    scriptable/scriptableproxy.h
    ../qt/*.cpp
    )

file(GLOB copyq_FORMS
    ui/*.ui
    )

set(copyq_RESOURCES copyq.qrc)

# Qt include paths and definitions
include_directories(${CMAKE_CURRENT_BINARY_DIR} .)
include_directories(${Qt5Widgets_INCLUDES})
add_definitions(${Qt5Widgets_DEFINITIONS})

include(platform/platform.cmake)

# Qxt - global shortcuts
if (USE_QXT)
    set(copyq_SOURCES ${copyq_SOURCES}
        ../qxt/qxtglobalshortcut.cpp
        )
    add_definitions( -DQXT_STATIC )
    include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
endif()

# Compile with tests?
if (WITH_TESTS)
    file(GLOB copyq_SOURCES ${copyq_SOURCES} tests/*.cpp)
endif()

# translations
file(GLOB copyq_TRANSLATIONS ../translations/*.ts)

find_package(Qt5LinguistTools)
if (Qt5LinguistTools_FOUND)
    qt5_add_translation(copyq_QM ${copyq_TRANSLATIONS})
endif()

qt5_wrap_ui(copyq_FORMS_HEADERS ${copyq_FORMS})
qt5_add_resources(copyq_RESOURCES_RCC ${copyq_RESOURCES})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})

set(copyq_COMPILE
    ${copyq_COMPILE}
    ${copyq_SOURCES}
    ${copyq_FORMS_HEADERS}
    ${copyq_RESOURCES_RCC}
    ${copyq_QM}
    )

add_executable(copyq ${copyq_COMPILE})

if (APPLE)
    # On Macs we must ensure Carbon and Cocoa are linked
    #
    # We do this using a macro taken from:
    # http://stackoverflow.com/questions/12547624/cant-link-macos-frameworks-with-cmake?rq=1
    macro(ADD_FRAMEWORK fwname appname)
        find_library(FRAMEWORK_${fwname}
            NAMES ${fwname}
            PATHS ${CMAKE_OSX_SYSROOT}/System/Library
            PATH_SUFFIXES Frameworks
            NO_DEFAULT_PATH)
        if( ${FRAMEWORK_${fwname}} STREQUAL FRAMEWORK_${fwname}-NOTFOUND)
            MESSAGE(FATAL_ERROR ": Framework ${fwname} not found")
        else()
            TARGET_LINK_LIBRARIES(${appname} "${FRAMEWORK_${fwname}}/${fwname}")
            MESSAGE(STATUS "Framework ${fwname} found at ${FRAMEWORK_${fwname}}")
        endif()
    endmacro(ADD_FRAMEWORK)

    ADD_FRAMEWORK(Carbon copyq)
    ADD_FRAMEWORK(Cocoa copyq)
endif()

# Qt modules
list(APPEND copyq_qt_modules Network Svg Xml Script)
foreach (copyq_qt_module ${copyq_qt_modules})
    find_package(Qt5${copyq_qt_module} REQUIRED)
    list(APPEND copyq_LIBRARIES Qt5::${copyq_qt_module})
endforeach()

# macros definitions for preprocessor and moc
set_target_properties(copyq PROPERTIES COMPILE_DEFINITIONS "${copyq_DEFINITIONS}")

# link
set_target_properties(copyq PROPERTIES LINK_FLAGS "${copyq_LINK_FLAGS}")
target_link_libraries(copyq ${copyq_LIBRARIES})

# install
install(TARGETS copyq DESTINATION bin)

if (TRANSLATION_INSTALL_PREFIX)
    install(FILES ${copyq_QM} DESTINATION "${TRANSLATION_INSTALL_PREFIX}")
endif()

=== plugins/itemfakevim/CMakeLists.txt ===
file(GLOB copyq_plugin_itemfakevim_SOURCES
    ${copyq_plugin_itemfakevim_SOURCES}
    fakevim/*.cpp
    fakevim/utils/*.cpp
    )

include_directories(fakevim)

add_definitions( -DFAKEVIM_STANDALONE -DQTCREATOR_UTILS_STATIC_LIB )
set(copyq_plugin_itemfakevim_DEFINITIONS
    FAKEVIM_STANDALONE
    QTCREATOR_UTILS_STATIC_LIB)

set(copyq_plugin_itemfakevim_RESOURCES itemfakevim.qrc)

copyq_add_plugin(itemfakevim)

# Disable warnings for 3rd-party source code.
if (PEDANTIC)
    if (CMAKE_COMPILER_IS_GNUCXX)
        set(IGNORE_PEDANTIC_FLAGS "-Wno-suggest-override")
    else()
        set(IGNORE_PEDANTIC_FLAGS "-Wno-unused-macros")
    endif()

    set_source_files_properties(
        fakevim/fakevimhandler.cpp
        fakevim/fakevimactions.cpp
        PROPERTIES COMPILE_FLAGS
        "\
        -Wno-shorten-64-to-32 \
        -Wno-sign-conversion \
        -Wno-conversion \
        -Wno-unreachable-code \
        -Wno-documentation-unknown-command \
        -Wno-shadow \
        -Wno-missing-declarations \
        -Wno-strict-overflow \
        -Wno-zero-as-null-pointer-constant \
        ${IGNORE_PEDANTIC_FLAGS} \
        ")
endif()

=== debian/changelog ===
copyq (3.7.3-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Make plugins and Qt5 SVG hard Ds instead of Recommends.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 06 Apr 2019 16:06:42 -0700

copyq (3.7.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Feb 2019 11:15:09 -0500

copyq (3.7.3-1) unstable; urgency=medium

  * New upstream release 3.7.3
  * debian/control:
    + R³: Use Rules-Requires-Root: no.
  * debian/copyright: Correctly mark appdata xml as CC0-1.0
    licensed.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Feb 2019 10:53:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper (>= 10),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -20,6 +21,7 @@
  python3,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
@@ -30,7 +32,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:

## copyq 3.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,11 @@
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 project(copyq)
+
+if (NOT APPLE)
+    set(COPYQ_EXECUTABLE_NAME ${PROJECT_NAME})
+else()
+    set(COPYQ_EXECUTABLE_NAME "CopyQ")
+endif()
 
 # C++11
 if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 3.1)
@@ -190,13 +196,18 @@
     if (COPYQ_AUTOSTART_COMMAND)
         add_definitions( -DCOPYQ_AUTOSTART_COMMAND="${COPYQ_AUTOSTART_COMMAND}" )
     endif()
+elseif (APPLE)
+    set(copyq_themes_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/Resources/themes")
+    file(GLOB copyq_THEMES shared/themes/*.ini)
+    install(FILES ${copyq_THEMES} DESTINATION "${copyq_themes_dest_dir}" COMPONENT Runtime)
 endif()
 
 add_definitions( -DQT_NO_CAST_TO_ASCII )
 
-add_subdirectory(src)
+set_property(GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS)
 
 if (WITH_PLUGINS)
     add_subdirectory(plugins)
 endif()
 
+add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,29 +58,42 @@
     ${copyq_QM}
     )
 
-add_executable(copyq ${copyq_COMPILE})
+if (NOT APPLE)
+    add_executable(${COPYQ_EXECUTABLE_NAME} ${copyq_COMPILE})
+else()
+    # On Macs we must ensure Carbon and Cocoa are linked
+    FIND_LIBRARY(CARBON_LIBRARY "Carbon")
+    FIND_LIBRARY(COCOA_LIBRARY "Cocoa")
+    MARK_AS_ADVANCED (CARBON_LIBRARY
+        COCOA_LIBRARY)
+    list(APPEND copyq_LIBRARIES "${CARBON_LIBRARY}" "${COCOA_LIBRARY}")
 
-if (APPLE)
-    # On Macs we must ensure Carbon and Cocoa are linked
-    #
-    # We do this using a macro taken from:
-    # http://stackoverflow.com/questions/12547624/cant-link-macos-frameworks-with-cmake?rq=1
-    macro(ADD_FRAMEWORK fwname appname)
-        find_library(FRAMEWORK_${fwname}
-            NAMES ${fwname}
-            PATHS ${CMAKE_OSX_SYSROOT}/System/Library
-            PATH_SUFFIXES Frameworks
-            NO_DEFAULT_PATH)
-        if( ${FRAMEWORK_${fwname}} STREQUAL FRAMEWORK_${fwname}-NOTFOUND)
-            MESSAGE(FATAL_ERROR ": Framework ${fwname} not found")
-        else()
-            TARGET_LINK_LIBRARIES(${appname} "${FRAMEWORK_${fwname}}/${fwname}")
-            MESSAGE(STATUS "Framework ${fwname} found at ${FRAMEWORK_${fwname}}")
-        endif()
-    endmacro(ADD_FRAMEWORK)
+    set(COPYQ_VERSION_REGEX "^v([0-9]+)\.([0-9]+)\.(.*)$")
+    string(REGEX REPLACE "${COPYQ_VERSION_REGEX}"
+        "\\1" CPACK_PACKAGE_VERSION_MAJOR
+        "${copyq_version}"
+        )
+    string(REGEX REPLACE "${COPYQ_VERSION_REGEX}"
+        "\\2" CPACK_PACKAGE_VERSION_MINOR
+        "${copyq_version}"
+        )
+    string(REGEX REPLACE "${COPYQ_VERSION_REGEX}"
+        "\\3" CPACK_PACKAGE_VERSION_PATCH
+        "${copyq_version}"
+        )
 
-    ADD_FRAMEWORK(Carbon copyq)
-    ADD_FRAMEWORK(Cocoa copyq)
+    set(MACOSX_BUNDLE_BUNDLE_NAME "${COPYQ_EXECUTABLE_NAME}")
+    set(MACOSX_BUNDLE_GUI_IDENTIFIER "io.github.hluk.CopyQ")
+    set(MACOSX_BUNDLE_INFO_STRING "Advanced clipboard manager with editing and scripting features")
+    set(MACOSX_BUNDLE_ICON_FILE "icon.icns")
+    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${copyq_version}")
+    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
+    set(MACOSX_BUNDLE_BUNDLE_VERSION "${copyq_version}")
+
+    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/images/icon.icns" PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
+    set(copyq_COMPILE ${copyq_COMPILE} "${CMAKE_CURRENT_SOURCE_DIR}/images/icon.icns")
+
+    add_executable(${COPYQ_EXECUTABLE_NAME} MACOSX_BUNDLE ${copyq_COMPILE})
 endif()
 
 # Qt modules
@@ -91,15 +104,75 @@
 endforeach()
 
 # macros definitions for preprocessor and moc
-set_target_properties(copyq PROPERTIES COMPILE_DEFINITIONS "${copyq_DEFINITIONS}")
+set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES COMPILE_DEFINITIONS "${copyq_DEFINITIONS}")
 
 # link
-set_target_properties(copyq PROPERTIES LINK_FLAGS "${copyq_LINK_FLAGS}")
-target_link_libraries(copyq ${copyq_LIBRARIES})
+set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES LINK_FLAGS "${copyq_LINK_FLAGS}")
+target_link_libraries(${COPYQ_EXECUTABLE_NAME} ${copyq_LIBRARIES})
 
 # install
-install(TARGETS copyq DESTINATION bin)
+install(TARGETS ${COPYQ_EXECUTABLE_NAME}
+    BUNDLE DESTINATION . COMPONENT Runtime
+    RUNTIME DESTINATION bin COMPONENT Runtime
+    )
 
-if (TRANSLATION_INSTALL_PREFIX)
-    install(FILES ${copyq_QM} DESTINATION "${TRANSLATION_INSTALL_PREFIX}")
+if (NOT APPLE)
+    if (TRANSLATION_INSTALL_PREFIX)
+        install(FILES ${copyq_QM} DESTINATION "${TRANSLATION_INSTALL_PREFIX}")
+    endif()
+else()
+    set_source_files_properties(${copyq_QM} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/translations")
+
+    set(plugin_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/PlugIns")
+    set(qtconf_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/Resources")
+
+    macro(install_qt5_plugin _qt_plugin_name _qt_plugins_var)
+        get_target_property(_qt_plugin_path "${_qt_plugin_name}" LOCATION)
+        if(EXISTS "${_qt_plugin_path}")
+            get_filename_component(_qt_plugin_file "${_qt_plugin_path}" NAME)
+            get_filename_component(_qt_plugin_type "${_qt_plugin_path}" PATH)
+            get_filename_component(_qt_plugin_type "${_qt_plugin_type}" NAME)
+            set(_qt_plugin_dest "${plugin_dest_dir}/${_qt_plugin_type}")
+            install(FILES "${_qt_plugin_path}" DESTINATION "${_qt_plugin_dest}" COMPONENT Runtime)
+            set(${_qt_plugins_var}
+                "${${_qt_plugins_var}};\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/${_qt_plugin_dest}/${_qt_plugin_file}")
+        else()
+            message(FATAL_ERROR "QT plugin ${_qt_plugin_name} not found")
+        endif()
+    endmacro()
+
+    # Install needed Qt plugins
+    foreach(_copyq_qt_module ${copyq_qt_modules} "Gui" "Widgets")
+        set(_module_plugins "${Qt5${_copyq_qt_module}_PLUGINS}")
+        foreach(_plugin ${_module_plugins})
+            install_qt5_plugin("${_plugin}" FIXUP_BUNDLE_QT_PLUGINS)
+        endforeach()
+    endforeach()
+
+    # install a qt.conf file
+    # this inserts some cmake code into the install script to write the file
+    install(CODE "
+        file(WRITE \"\${CMAKE_INSTALL_PREFIX}/${qtconf_dest_dir}/qt.conf\" \"[Paths]\nPlugins = PlugIns\nImports = Resources/qml\nQml2Imports = Resources/qml\n\")
+        "
+        COMPONENT Runtime
+        )
+
+    set(FIXUP_BUNDLE_APPS "\${CMAKE_INSTALL_PREFIX}/${COPYQ_EXECUTABLE_NAME}.app")
+
+    get_property(_copyq_installed_plugins GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS)
+
+    # Directories to look for dependencies
+    set(FIXUP_BUNDLE_DEP_DIRS "${CMAKE_BINARY_DIR};${QT_LIBRARY_DIRS}")
+
+    install(CODE "
+        include(BundleUtilities)
+        set(BU_CHMOD_BUNDLE_ITEMS ON)
+        fixup_bundle(\"${FIXUP_BUNDLE_APPS}\" \"${FIXUP_BUNDLE_QT_PLUGINS};${_copyq_installed_plugins}\" \"${FIXUP_BUNDLE_DEP_DIRS}\")
+        verify_app(\"${FIXUP_BUNDLE_APPS}\")
+        "
+        COMPONENT Runtime
+        )
+
+    set(CPACK_GENERATOR "DragNDrop")
+    include(CPack)
 endif()

=== debian/changelog ===
copyq (3.8.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release, build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Apr 2019 14:37:00 -0700

copyq (3.7.3-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * debian/control:
    - make plugins and Qt5 SVG hard depends instead of Recommends.
  * - add minimum version of python3-sphinx needed to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 06 Apr 2019 16:06:42 -0700

## copyq 3.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
 project(copyq)
 
-if (NOT APPLE)
+if (APPLE)
+    cmake_minimum_required(VERSION 3.1)
+    set(COPYQ_EXECUTABLE_NAME "CopyQ")
+else()
+    cmake_minimum_required(VERSION 2.8.12)
     set(COPYQ_EXECUTABLE_NAME ${PROJECT_NAME})
-else()
-    set(COPYQ_EXECUTABLE_NAME "CopyQ")
 endif()
 
 # C++11
@@ -35,7 +36,7 @@
     set(THEME_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/themes" CACHE PATH "Install path for themes")
     set(DESKTOP_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/applications" CACHE PATH "Install path for desktop file")
     set(APPDATA_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/metainfo" CACHE PATH "Install path for AppData file")
-    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
+    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
     set(TRANSLATION_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/translations" CACHE PATH "Install path for translations")
     set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
     set(COPYQ_AUTOSTART_COMMAND "" CACHE STRING "Autostart command")

=== debian/changelog ===
copyq (3.9.0-1) unstable; urgency=medium

  * New upstream release 3.9.0.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2019 15:19:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -22,7 +21,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
@@ -32,6 +31,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:

## copyq 3.9.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -123,6 +123,8 @@
 else()
     set_source_files_properties(${copyq_QM} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/translations")
 
+    set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/../shared/Info.plist")
+
     set(plugin_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/PlugIns")
     set(qtconf_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/Resources")

=== debian/changelog ===
copyq (3.9.1-1) unstable; urgency=medium

  * New upstream release 3.9.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 11:36:00 -0400

## copyq 3.9.2

=== debian/changelog ===
copyq (3.9.2-1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix unnecessary tab reloading after expired.
    - Fix repeated menu updates.
    - Fix loading tabs with an empty item
    - Fix initializing expire timeout (it was always 0 or 1 minute)

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Sep 2019 18:09:52 -0700

copyq (3.9.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Aug 2019 11:38:18 -0700

copyq (3.9.0-1~mx19+1) mx; urgency=medium

  * New upstream release, build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 19 Jul 2019 17:56:40 -0700

## copyq 3.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -136,32 +136,21 @@
     list(APPEND copyq_LIBRARIES Qt5::Test)
 endif()
 
-# Get application version.
-if (EXISTS "version.txt")
-    file(STRINGS "version.txt" copyq_version)
-endif()
-
-if (NOT copyq_version)
-    find_package(Git)
-    if(GIT_FOUND)
-        execute_process(COMMAND
-            "${GIT_EXECUTABLE}" describe
-            WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
-            RESULT_VARIABLE copyq_git_describe_result
-            OUTPUT_VARIABLE copyq_git_describe_output
-            ERROR_QUIET
-            OUTPUT_STRIP_TRAILING_WHITESPACE
-            )
-        if(copyq_git_describe_result EQUAL 0)
-            set(copyq_version "${copyq_git_describe_output}")
-        endif()
-    endif()
-endif()
-
-if (copyq_version)
-    message(STATUS "Building CopyQ version ${copyq_version}.")
-    add_definitions( -DCOPYQ_VERSION="${copyq_version}" )
-endif()
+# Generate version.h from current git commit if available.
+add_custom_target(
+    generate_version_header
+    ALL
+    COMMAND ${CMAKE_COMMAND}
+        -D INPUT_FILE=${CMAKE_CURRENT_SOURCE_DIR}/src/common/version.h.in
+        -D OUTPUT_FILE=${CMAKE_CURRENT_BINARY_DIR}/src/common/version.h
+        -P ${CMAKE_CURRENT_SOURCE_DIR}/version.cmake
+    BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/src/common/version.h
+    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
+)
+set_source_files_properties(
+    ${CMAKE_CURRENT_BINARY_DIR}/src/common/version.h
+    PROPERTIES GENERATED TRUE
+)
 
 if (UNIX AND NOT APPLE)
     install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}.svg)

=== plugins/itemimage/CMakeLists.txt ===
set(copyq_plugin_itemimage_SOURCES
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/temporaryfile.cpp
    ../../src/item/itemeditor.cpp
    )

copyq_add_plugin(itemimage)

=== plugins/itempinned/CMakeLists.txt ===
set(copyq_plugin_itempinned_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/common/display.cpp
    )

copyq_add_plugin(itempinned)

=== plugins/itemsync/CMakeLists.txt ===
set(copyq_plugin_itemsync_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemsync)

=== plugins/itemtags/CMakeLists.txt ===
set(copyq_plugin_itemtags_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/gui/iconfont.cpp
    )

copyq_add_plugin(itemtags)

=== debian/changelog ===
copyq (3.9.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2019 15:28:30 -0800

copyq (3.9.3-1) unstable; urgency=medium

  * New upstream release 3.9.3.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Build-depends on python3:any.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Nov 2019 19:43:40 -0500

copyq (3.9.2-1) unstable; urgency=medium

  * New upstream release 3.9.2.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Aug 2019 15:51:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -17,11 +18,11 @@
  qttools5-dev,
  qttools5-dev-tools,
 Build-Depends-Indep:
- python3,
+ python3:any,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
@@ -31,7 +32,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:

## copyq 3.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 set(CMAKE_AUTOMOC ON)
 
-find_package(Qt5Widgets 5.1.0 REQUIRED)
+find_package(Qt5Widgets 5.5.0 REQUIRED)
 list(APPEND copyq_LIBRARIES Qt5::Widgets)
 
 set(copyq_APP_ID      com.github.hluk.copyq)

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-macro (copyq_add_plugin)
-    set(copyq_pkg ${ARGV0})
+macro (copyq_add_plugin copyq_pkg)
 
     file(GLOB copyq_plugin_SOURCES
         ${copyq_plugin_${copyq_pkg}_SOURCES}
@@ -35,6 +34,15 @@
 
     if (UNIX AND NOT APPLE)
         install(TARGETS ${copyq_pkg} DESTINATION ${PLUGIN_INSTALL_PREFIX})
+    elseif (APPLE)
+        set(copyq_plugins_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/PlugIns/copyq")
+        install(TARGETS ${copyq_pkg} DESTINATION "${copyq_plugins_dest_dir}" COMPONENT Runtime)
+        get_property(_copyq_installed_plugins GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS)
+        # We need this list to perform fixups during the creation of an application bundle (in src)
+        list(APPEND _copyq_installed_plugins
+            "\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/${copyq_plugins_dest_dir}/${CMAKE_SHARED_MODULE_PREFIX}${copyq_pkg}${CMAKE_SHARED_MODULE_SUFFIX}"
+        )
+        set_property(GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS "${_copyq_installed_plugins}")
     endif()
 endmacro()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -96,6 +96,8 @@
     add_executable(${COPYQ_EXECUTABLE_NAME} MACOSX_BUNDLE ${copyq_COMPILE})
 endif()
 
+add_dependencies(${COPYQ_EXECUTABLE_NAME} generate_version_header)
+
 # Qt modules
 list(APPEND copyq_qt_modules Network Svg Xml Script)
 foreach (copyq_qt_module ${copyq_qt_modules})

=== plugins/itemencrypted/CMakeLists.txt ===
set(copyq_plugin_itemencrypted_SOURCES
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/shortcuts.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/gui/screen.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemencrypted)

=== plugins/itemtags/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     ../../src/gui/iconselectdialog.cpp
     ../../src/gui/iconwidget.cpp
     ../../src/gui/iconfont.cpp
+    ../../src/gui/screen.cpp
     )
 
 copyq_add_plugin(itemtags)

=== debian/changelog ===
copyq (3.10.0-1) unstable; urgency=medium

  * New upstream release 3.10.0. 
  * debian/control:
    + Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2020 20:36:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -22,7 +21,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
@@ -32,6 +31,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
